<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    @yield("title")
    <title>{{ config("app.name") }}</title>
    @include("incs.head")
    @stack("style")
    <script>
        window.Laravel = {!! json_encode(['csrfToken' => csrf_token()]) !!};
    </script>
</head>
<body>
    <div id="wrapper">
        @include('incs.sidenav')
        @include('incs.headnav')
        <div class="content-wrapper">
            @include('incs.messages')
            @yield('content')
            <a href="javaScript:void();" class="back-to-top"><i class="fa fa-angle-double-up"></i> </a>
        </div>
        @include('incs.footer')
    </div>
    <script type="text/javascript">
        var APP_URL = {!! json_encode(url('/')) !!}
    </script>
    @include("incs.foot")
    @stack("libraries")
    @yield("script")
</body>
</html>
