const mix = require('laravel-mix');

/*
 |--------------------------------------------------------------------------
 | Mix Asset Management
 |--------------------------------------------------------------------------
 |
 | Mix provides a clean, fluent API for defining some Webpack build steps
 | for your Laravel application. By default, we are compiling the Sass
 | file for the application as well as bundling up all the JS files.
 |
 */

mix.js('resources/js/app.js', 'public/js');

mix.js('resources/js/admin/user/index.js', 'public/js/admin/user');
mix.js('resources/js/admin/user/create.js', 'public/js/admin/user');
mix.js('resources/js/admin/user/edit.js', 'public/js/admin/user');

mix.js('resources/js/admin/permission/index.js', 'public/js/admin/permission');
mix.js('resources/js/admin/permission/create.js', 'public/js/admin/permission');
mix.js('resources/js/admin/permission/edit.js', 'public/js/admin/permission');

mix.js('resources/js/admin/role/index.js', 'public/js/admin/role');
mix.js('resources/js/admin/role/create.js', 'public/js/admin/role');
mix.js('resources/js/admin/role/edit.js', 'public/js/admin/role');

mix.js('resources/js/dropbox/index.js', 'public/js/dropbox');
mix.js('resources/js/dropbox/list.js', 'public/js/dropbox');

mix.js('resources/js/calendar/index.js', 'public/js/calendar');

mix.js('resources/js/video/index.js', 'public/js/video');

mix.js('resources/js/report/index.js', 'public/js/report');

//common js
mix.react('resources/js/common.js', 'public/js/common.js');
  
